org.apache.fop.util

## Class DataURIResolver

- java.lang.Object
- - org.apache.fop.util.DataURIResolver

- All Implemented Interfaces:
    URIResolver

  Deprecated.

      public class DataURIResolver
      extends Object
      implements URIResolver

  See Also:
    `DataURIResolver`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataURIResolver()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `Source` | `resolve(String href, String base)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DataURIResolver

          public DataURIResolver()

      Deprecated.

  - ### Method Detail

    - #### resolve

          public Source resolve(String href,
                                String base)
                         throws TransformerException

      Deprecated.
      Specified by:
        `resolve` in interface `URIResolver`
      Parameters:
        `href` - an href
        `base` - a base
      Returns:
        a source
      Throws:
        `TransformerException` - if not caught
      See Also:
        `DataURIResolver.resolve(String, String)`

Copyright © 2023 Apache Software Foundation. All rights reserved.